(*
Copyright © 2006 Logan Rockmore

This script activates Mail.app and brings the Mail Viewer to the front if it's not open

*)

tell application "Mail"
	
	activate
	
	-- get front message viewer
	try
		front message viewer
		set frontMessageViewer to true
	on error
		set frontMessageViewer to false
	end try
	
	if frontMessageViewer then
		
		-- if window is miniaturized, open it
		if window of front message viewer is miniaturized then
			set miniaturized of window of front message viewer to 0
		end if
		
	else
		-- show front message viewer if not open
		tell application "System Events" to key code 18 using command down -- Command-1
	end if
	
end tell