(*
Copyright © 2006 Logan Rockmore

This script gets the count of unread messages from Mail.app

*)

tell application "System Events" to if (application processes whose name is "Mail") is {} then return {{"", "", -1}}

tell application "Mail"
	
	set unreadCount to unread count of inbox
	
	-- get subjects of unread emails
	set unreadEmails to (subject of messages of Inbox whose read status is false)
	
	return {{"Inbox", "", unreadCount, unreadEmails}}
	
end tell
